org.eclipse.emf.cdo.admin

## Class CDOAdminClientUtil

- java.lang.Object
- - org.eclipse.emf.cdo.admin.CDOAdminClientUtil

-     public final class CDOAdminClientUtil
      extends Object

  Various static methods that may help with CDO remote administration.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDOAdminClientManager` | `createAdminManager()`
    `static CDOAdminClientManager` | `createAdminManager(IManagedContainer container)`
    `static CDOAdminClient` | `openAdmin(String url)`
    `static CDOAdminClient` | `openAdmin(String url, long timeout)`
    `static CDOAdminClient` | `openAdmin(String url, long timeout, IManagedContainer container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### openAdmin

          public static CDOAdminClient openAdmin(String url)

    - #### openAdmin

          public static CDOAdminClient openAdmin(String url,
                                                 long timeout)

    - #### openAdmin

          public static CDOAdminClient openAdmin(String url,
                                                 long timeout,
                                                 IManagedContainer container)

    - #### createAdminManager

          public static CDOAdminClientManager createAdminManager()

    - #### createAdminManager

          public static CDOAdminClientManager createAdminManager(IManagedContainer container)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html